summaryrefslogtreecommitdiffstats
path: root/network/bozohttpd
diff options
context:
space:
mode:
author Leonard Schmidt <lems@gmx.net>2015-10-28 23:01:55 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-10-28 23:01:55 +0700
commit2cecd673ff29bd0c8f846801b22657e5c5f26154 (patch)
tree539b566bfc3df365a403c9e7727e4aa74d58997a /network/bozohttpd
parent9f4100aa71f9b8895c576335d18397ad7acf6b0b (diff)
downloadslackbuilds-2cecd673ff29bd0c8f846801b22657e5c5f26154.tar.gz
slackbuilds-2cecd673ff29bd0c8f846801b22657e5c5f26154.tar.xz
network/bozohttpd: Added (simple and lightweight HTTP server).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network/bozohttpd')
-rw-r--r--network/bozohttpd/README7
-rw-r--r--network/bozohttpd/bozohttpd.SlackBuild95
-rw-r--r--network/bozohttpd/bozohttpd.info10
-rw-r--r--network/bozohttpd/slack-desc19
4 files changed, 131 insertions, 0 deletions
diff --git a/network/bozohttpd/README b/network/bozohttpd/README
new file mode 100644
index 0000000000..601b51dc3d
--- /dev/null
+++ b/network/bozohttpd/README
@@ -0,0 +1,7 @@
+bozohttpd is a small and secure HTTP version 1.1 server. Its main
+feature is the lack of features, reducing the code size and improving
+verifiability. It supports CGI/1.1, HTTP/1.1, HTTP/1.0, HTTP/0.9, ~user
+translations, virtual hosting support, as well as multiple IP-based
+servers on a single machine. It is capable of serving pages via the
+IPv6 protocol. bozohttpd features SSL support. By design, there is no
+configuration file.
diff --git a/network/bozohttpd/bozohttpd.SlackBuild b/network/bozohttpd/bozohttpd.SlackBuild
new file mode 100644
index 0000000000..7f8037e444
--- /dev/null
+++ b/network/bozohttpd/bozohttpd.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/sh
+
+# Slackware build script for bozohttpd
+
+# Copyright 2015 Leonard Schmidt <lems@gmx.net>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=bozohttpd
+VERSION=${VERSION:-20150320}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS=""
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xjvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+cp Makefile.boot Makefile
+# Fix build (from Arch Linux' AUR).
+sed -i 's/d_namlen/d_reclen/g' bozohttpd.c
+bmake
+
+mkdir -p $PKG/usr/{bin,man/man8}
+install -m755 bozohttpd $PKG/usr/bin
+install -m644 bozohttpd.8 $PKG/usr/man/man8
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGES $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/bozohttpd/bozohttpd.info b/network/bozohttpd/bozohttpd.info
new file mode 100644
index 0000000000..cc486bf18c
--- /dev/null
+++ b/network/bozohttpd/bozohttpd.info
@@ -0,0 +1,10 @@
+PRGNAM="bozohttpd"
+VERSION="20150320"
+HOMEPAGE="http://www.eterna.com.au/bozohttpd"
+DOWNLOAD="http://www.eterna.com.au/bozohttpd/bozohttpd-20150320.tar.bz2"
+MD5SUM="60e2cf933d028a096523214fab8e6590"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="bmake"
+MAINTAINER="Leonard Schmidt"
+EMAIL="lems@gmx.net"
diff --git a/network/bozohttpd/slack-desc b/network/bozohttpd/slack-desc
new file mode 100644
index 0000000000..84d5bb87dd
--- /dev/null
+++ b/network/bozohttpd/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+bozohttpd: bozohttpd (simple and lightweight HTTP server)
+bozohttpd:
+bozohttpd: bozohttpd is a small and secure HTTP version 1.1 server.
+bozohttpd: Its main feature is the lack of features, reducing the code
+bozohttpd: size and improving verifiability. It supports CGI/1.1,
+bozohttpd: HTTP/1.1, HTTP/1.0, HTTP/0.9, ~user translations, virtual
+bozohttpd: hosting support, as well as multiple IP-based servers on a
+bozohttpd: single machine. It is capable of serving pages via the IPv6
+bozohttpd: protocol. bozohttpd features SSL support.
+bozohttpd:
+bozohttpd: Homepage: http://www.eterna.com.au/bozohttpd/